Commit 9adcbb24 authored by Christian Kuhn's avatar Christian Kuhn
Browse files

[TASK] Drop npm from all images

parent c0896b5f
......@@ -118,10 +118,6 @@ minimal_apt_get_install \
g++ \
#
# make sure npm is kept ... this will probably remove phpX.Y-dev and others, though.
# https://bugs.launchpad.net/ubuntu/+source/nodejs/+bug/1794589
minimal_apt_get_install npm nodejs make g++
apt-get clean
apt-get -y autoremove
rm -rf \
......
......@@ -7,4 +7,7 @@ set -x
minimal_apt_get_install npm nodejs make g++
# And have yarn
npm install -g yarn
\ No newline at end of file
npm install -g yarn
# And remove npm again
apt-get remove -y --purge npm
......@@ -118,10 +118,6 @@ minimal_apt_get_install \
g++ \
#
# make sure npm is kept ... this will probably remove phpX.Y-dev and others, though.
# https://bugs.launchpad.net/ubuntu/+source/nodejs/+bug/1794589
minimal_apt_get_install npm nodejs make g++
apt-get clean
apt-get -y autoremove
rm -rf \
......
......@@ -7,4 +7,7 @@ set -x
minimal_apt_get_install npm nodejs make g++
# And have yarn
npm install -g yarn
\ No newline at end of file
npm install -g yarn
# And remove npm again
apt-get remove -y --purge npm
......@@ -119,10 +119,6 @@ minimal_apt_get_install \
g++ \
#
# make sure npm is kept ... this will probably remove phpX.Y-dev and others, though.
# https://bugs.launchpad.net/ubuntu/+source/nodejs/+bug/1794589
minimal_apt_get_install npm nodejs make g++
apt-get clean
apt-get -y autoremove
rm -rf \
......
......@@ -7,4 +7,7 @@ set -x
minimal_apt_get_install npm nodejs make g++
# And have yarn
npm install -g yarn
\ No newline at end of file
npm install -g yarn
# And remove npm again
apt-get remove -y --purge npm
......@@ -3,10 +3,6 @@ set -e
source /pd_build/buildconfig
set -x
# make sure npm is kept ... this will probably remove phpX.Y-dev and others, though.
# https://bugs.launchpad.net/ubuntu/+source/nodejs/+bug/1794589
minimal_apt_get_install npm nodejs make g++
apt-get clean
apt-get -y autoremove
rm -rf \
......
......@@ -7,4 +7,7 @@ set -x
minimal_apt_get_install npm nodejs make g++
# And have yarn
npm install -g yarn
\ No newline at end of file
npm install -g yarn
# And remove npm again
apt-get remove -y --purge npm
......@@ -28,10 +28,6 @@ minimal_apt_get_install \
g++ \
#
# make sure npm is kept ... this will probably remove phpX.Y-dev and others, though.
# https://bugs.launchpad.net/ubuntu/+source/nodejs/+bug/1794589
minimal_apt_get_install npm nodejs make g++
apt-get clean
apt-get -y autoremove
rm -rf \
......
......@@ -7,4 +7,7 @@ set -x
minimal_apt_get_install npm nodejs make g++
# And have yarn
npm install -g yarn
\ No newline at end of file
npm install -g yarn
# And remove npm again
apt-get remove -y --purge npm
......@@ -26,10 +26,6 @@ minimal_apt_get_install \
g++ \
#
# make sure npm is kept ... this will probably remove phpX.Y-dev and others, though.
# https://bugs.launchpad.net/ubuntu/+source/nodejs/+bug/1794589
minimal_apt_get_install npm nodejs make g++
apt-get clean
apt-get -y autoremove
......
......@@ -8,3 +8,6 @@ minimal_apt_get_install npm nodejs make g++
# And have yarn
npm install -g yarn
# And remove npm again
apt-get remove -y --purge npm
......@@ -3,9 +3,15 @@ set -e
source /pd_build/buildconfig
set -x
# make sure npm is kept ... this will probably remove phpX.Y-dev and others, though.
# https://bugs.launchpad.net/ubuntu/+source/nodejs/+bug/1794589
minimal_apt_get_install npm nodejs make g++
# remove a ton of packages needed for compilation of php modules
apt-get remove -y --purge \
autoconf \
autotools-dev \
file \
libquadmath0 \
libtool \
php7.2-dev \
#
apt-get clean
apt-get -y autoremove
......
......@@ -8,3 +8,6 @@ minimal_apt_get_install npm nodejs make g++
# And have yarn
npm install -g yarn
# And remove npm again
apt-get remove -y --purge npm
......@@ -3,9 +3,15 @@ set -e
source /pd_build/buildconfig
set -x
# make sure npm is kept ... this will probably remove phpX.Y-dev and others, though.
# https://bugs.launchpad.net/ubuntu/+source/nodejs/+bug/1794589
minimal_apt_get_install npm nodejs make g++
# remove a ton of packages needed for compilation of php modules
apt-get remove -y --purge \
autoconf \
autotools-dev \
file \
libquadmath0 \
libtool \
php7.3-dev \
#
apt-get clean
apt-get -y autoremove
......
......@@ -8,3 +8,6 @@ minimal_apt_get_install npm nodejs make g++
# And have yarn
npm install -g yarn
# And remove npm again
apt-get remove -y --purge npm
Supports Markdown
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment